This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 136041 - nfs init script does not check RQUOTAD correctly for stop and status
nfs init script does not check RQUOTAD correctly for stop and status
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-16 23:19 EDT by Allen Kistler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: nfs-utils-1.0.6-39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 00:47:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch against /etc/init.d/nfs (508 bytes, patch)
2004-10-16 23:26 EDT, Allen Kistler
no flags Details | Diff

  None (edit)
Description Allen Kistler 2004-10-16 23:19:23 EDT
Description of problem:
If quota is installed (so rpc.rquotad exists), the nfs init script
tries to stop rquotad even if RQUOTAD == no.  The result is a nasty
FAILED output during an nfs stop.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.6-38

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/nfs stop
2. set RQUOTAD=no in /etc/sysconfig/nfs
3. /etc/init.d/nfs start
4. /etc/init.d/nfs stop

Actual Results:
Shutting down NFS quotas:                                  [FAILED]

Expected Results:
The init script should not try to stop rquotad.

Additional info:
Bug 127911 was fixed in FC2, but it appears to have returned in FC3. 
I will attach a patch.
Comment 1 Allen Kistler 2004-10-16 23:26:22 EDT
Created attachment 105339 [details]
patch against /etc/init.d/nfs
Comment 2 Steve Dickson 2004-10-17 11:37:50 EDT
Fixed in nfs-utils-1-0-6-39.

Note You need to log in before you can comment on or make changes to this bug.